"""create tables servers,databases

Revision ID: 71fbc2ad5b9d
Revises: 
Create Date: 2024-10-23 16:51:42.705117

"""

from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = "71fbc2ad5b9d"
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "easy_servers",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("name", sa.String(length=255), nullable=False),
        sa.Column("description", sa.String(length=1000), nullable=True),
        sa.Column("url", sa.String(length=1000), nullable=False),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_easy_servers")),
        sa.UniqueConstraint("name", name=op.f("uq_easy_servers_name")),
    )
    op.create_table(
        "easy_databases",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("name", sa.String(length=255), nullable=False),
        sa.Column("description", sa.String(length=1000), nullable=True),
        sa.Column("date_created", sa.DateTime(), nullable=True),
        sa.Column("server_id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["server_id"],
            ["easy_servers.id"],
            name=op.f("fk_easy_databases_server_id_easy_servers"),
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_easy_databases")),
        sa.UniqueConstraint("name", name=op.f("uq_easy_databases_name")),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("easy_databases")
    op.drop_table("easy_servers")
    # ### end Alembic commands ###
